Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANV2

    java.lang.Object
      org.netlib.lapack.DLANV2

    public class DLANV2

extends java.lang.Object

    DLANV2 is a simplified interface to the JLAPACK routine dlanv2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANV2 computes the Schur factorization of a real 2-by-2 nonsymmetric
     *  matrix in standard form:
     *
     *       [ A  B ] = [ CS -SN ] [ AA  BB ] [ CS  SN ]
     *       [ C  D ]   [ SN  CS ] [ CC  DD ] [-SN  CS ]
     *
     *  where either
     *  1) CC = 0 so that AA and DD are real eigenvalues of the matrix, or
     *  2) AA = DD and BB*CC < 0, so that AA + or - sqrt(BB*CC) are complex
     *  conjugate eigenvalues.
     *
     *  Arguments
     *  =========
     *
     *  A       (input/output) DOUBLE PRECISION
     *  B       (input/output) DOUBLE PRECISION
     *  C       (input/output) DOUBLE PRECISION
     *  D       (input/output) DOUBLE PRECISION
     *          On entry, the elements of the input matrix.
     *          On exit, they are overwritten by the elements of the
     *          standardised Schur form.
     *
     *  RT1R    (output) DOUBLE PRECISION
     *  RT1I    (output) DOUBLE PRECISION
     *  RT2R    (output) DOUBLE PRECISION
     *  RT2I    (output) DOUBLE PRECISION
     *          The real and imaginary parts of the eigenvalues. If the
     *          eigenvalues are a complex conjugate pair, RT1I > 0.
     *
     *  CS      (output) DOUBLE PRECISION
     *  SN      (output) DOUBLE PRECISION
     *          Parameters of the rotation matrix.
     *
     *  Further Details
     *  ===============
     *
     *  Modified by V. Sima, Research Institute for Informatics, Bucharest,
     *  Romania, to reduce the risk of cancellation errors,
     *  when computing real eigenvalues, and to ensure, if possible, that
     *  abs(RT1R) >= abs(RT2R).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLANV2()`

Method Summary
`static void` | `DLANV2(doubleW a, doubleW b, doubleW c, doubleW d, doubleW rt1r, doubleW rt1i, doubleW rt2r, doubleW rt2i, doubleW cs, doubleW sn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANV2

    public DLANV2()

Method Detail

### DLANV2

    public static void DLANV2(doubleW a,
                              doubleW b,
                              doubleW c,
                              doubleW d,
                              doubleW rt1r,
                              doubleW rt1i,
                              doubleW rt2r,
                              doubleW rt2i,
                              doubleW cs,
                              doubleW sn)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD